//----------------------------------------------------------
// This is a simple example with only basic use. Labeling
// for coefficients and dimensions is automatic. No values
// will be printed out
//----------------------------------------------------------

// Restart programme
clear;    // Clear memory
clc;      // Clear display
exec('Functions.sci'); // Get functions from extern file

// Enter data position
data =[     
2 2
2 3
2 4
2 5
3 2
3 3
3 4
3 5
];

// Enter values
zval =[     
45
63
83
103
93
138
183
228
];

// Input the polynome
polynome =[
0 1 2
0 1 1
];

PrettyPrintF(polynome, [], []);    // Print polynome in pretty shape
y = PowerFit(data,zval,polynome);  // Calc polynome (main function)

x=[2,2];

disp(EvalPol(polynome,x,y))

clf;

xx=0:0.1:6;;
yy=-6:0.1:7;

for i=1:length(xx)
  for k=1:length(yy)
    zz(i,k) = EvalPol(polynome,[xx(i),yy(k)],y)
  end  
end


plot3d1 (data(:,1), data(:,2), (zval),flag=[-1, 2, 3]);
plot3d1 (xx, yy, (zz),flag=[-1, 2, 3]);